Dictionary update did break Dictionary Switcher Rated 4 out of 5 stars

Even though compatibility is advertised for TB10 only, the extension used to work fine through TB16. But the recent dictionary update did create a new category 'Dictionaries' in Add-on Manager. It seems this did break Dictionary Switcher. I'd hope it will be updated soon. It's quite handy and I do use it a lot in Thunderbird.

This review is for a previous version of the add-on (1.3.2).